Bug 244369 - yum-merge-conf is missing vimdiff
yum-merge-conf is missing vimdiff
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 05:58 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 16:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's the patch to detect vimdiff (1.99 KB, patch)
2007-06-16 15:21 EDT, Aurelien Bompard
no flags Details | Diff

  None (edit)
Description Sebastian Vahl 2007-06-15 05:58:22 EDT
Description of problem:
A merge of two configuration files will fail if vimdiff (from vim-enhanced) 
isn't installed.


Version-Release number of selected component (if applicable):
yum-merge-conf-1.1.4-1.fc7

How reproducible:
Everytime

Steps to Reproduce: Example
1. install mock-0.6.12
2. change /etc/mock/defaults.cfg
3. update to mock-0.7.1 from updates-testing
4. try to merge the configurations with vim (v)
  
Actual results:
sh: vimdiff: command not found

Expected results:
vimdiff should start to merge the configurations


Additional info:
By default, RPM would keep your local version and rename the new one 
to /etc/mock/defaults.cfg.rpmnew
What do you want to do ?
 - diff the two versions (d)
 - do the default RPM action (q)
 - install the package's version (i)
 - merge interactively with vim (v)
 - background this process and examine manually (z)
Your answer ? v
sh: vimdiff: command not found
Comment 1 Tim Lauridsen 2007-06-15 09:11:14 EDT
Any comments Aurélien ?
Comment 2 Aurelien Bompard 2007-06-15 09:58:52 EDT
That's right, the plugin does an os.system("vimdiff old-file new-file"). The
package should Require: vim-enhanced
Comment 3 Aurelien Bompard 2007-06-15 10:01:03 EDT
OR, it could check if vimdiff is in the path and only propose vim-based merge if
it is. I can do that, it's pretty easy. Should I send you a patch ?
Comment 4 Tim Lauridsen 2007-06-16 03:05:30 EDT
Just send me patch and i will add it.

Comment 5 Aurelien Bompard 2007-06-16 15:21:11 EDT
Created attachment 157202 [details]
Here's the patch to detect vimdiff
Comment 6 Tim Lauridsen 2007-06-17 03:04:58 EDT
Thanks,
it is added to upstream CVS
Comment 7 Fedora Update System 2007-06-18 12:37:35 EDT
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-06-21 16:04:41 EDT
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Sebastian Vahl 2007-06-22 17:33:05 EDT
It's working. If vimdiff isn't installed, there would be no option to merge 
the configs:

By default, RPM would keep your local version and rename the new one 
to /etc/mock/defaults.cfg.rpmnew
What do you want to do ?
 - diff the two versions (d)
 - do the default RPM action (q)
 - install the package's version (i)
 - background this process and examine manually (z)

Note You need to log in before you can comment on or make changes to this bug.